import React, { useState, useEffect } from "react";
import ReactDOM from "react-dom";
import * as d3 from "d3";
import { Pie } from "./Pie";
import { useData } from './useData';


// const width = 200;
// const height=200;
// const innerRadius= 60;
// const outerRadius=100;

const generateData = (value, length = 5) =>
  d3.range(length).map((item, index) => ({
    date: index,
    value: value === null || value === undefined ? Math.random() * 100 : value
  }));

const generateMyData = (value, length = 5) => {
  if (value) {
    console.log("value len");
    console.log(value.length);
    console.log("length");
    console.log(length);
    console.log("value2");
    console.log(d3.range(length));
    console.log("length2");
    console.log(d3.range(value.length));
  } else {
    return d3.range(length).map((item, index) => ({
      date: index,
      value: value === null || value === undefined ? Math.random() * 100 : value
    }));
  }
	
  
  return d3.range(length).map((item, index) => ({
    date: index,
    value: value === null || value === undefined ? Math.random() * 100 : value
  }))};


function App() {
  
  // const data = useData();

  const myData = useData();
  console.log("my");
  console.log(myData);


  // Load the data after all the hooks are rendered.
  if (!myData) {
    return <pre>Loading...</pre>;
  }
  
  return (
    <div className="App">
      <Pie
        data={myData}
        width={200}
        height={200}
        innerRadius={60}
        outerRadius={100}
      />
    </div>
  );
}

const rootElement = document.getElementById("root");
ReactDOM.render(<App />, rootElement);
